/**
    Battery analyzer
    (c) 2016-2017 F. Štefanec
    This project is provided WITHOUT ANY WARRANTY, use at your own risk.
**/


#ifndef CONFIG_INCLUDED
#define CONFIG_INCLUDED

/// Language
/// Leave the line corresponding to your language uncommented

//#define LANG_CZ
#define LANG_EN

/// LCD pin/port definitions
#define LCD_DPORT PORTD         // LCD data port
#define LCD_CPORT PORTD         // LCD control port
#define LCD_DDDR DDRD
#define LCD_CDDR DDRD
#define LCD_E PD3               // LCD enable pin in CPORT
#define LCD_RS PD2              // LCD register select pin in CPORT
#define LCD_D4 PD4              // LCD data pins (PD4...)
#define LCD_D5 PD5              // ...
#define LCD_D6 PD6              // ...
#define LCD_D7 PD7              // LCD data pins (...PD7)
#define DISPSIZE 6              // LCD size (20x4 - don't modify, other displays aren't supported)

/// Keyboard settings
#define DEBOUNCE_VAL 6 // 24ms
#define REPEAT_PERIOD 30 // 120ms
#define REPEAT_DELAY 250 // 1000ms

/// A/D converter settings
#define DEFAULT_OFFSET_COMP 110 // default compensation
#define RIN_PREAVG_COUNT 8 // ADC oversampling sample count: 8x32 (256)
#define CAP_PREAVG_COUNT 32 // ADC oversampling sample count: 32x32 (1024) - ideal for accuracy
#define DEFAULT_SETTINGS 0

/// Temperature settings
/// Uncomment the following line if the LM35 temperature sensor is installed
#define LM35_INSTALLED
/// Temperature settings for fan control (these only apply if the LM35 sensor is installed!)
#define TEMP_AD_FAN_START 512 // Fan starting temperature = 55°C (550x1023÷1100)
#define TEMP_AD_FAN_STOP 446 // Fan stopping temperature = 48°C
#define TEMP_AD_FAULT 725 // Halt device and throw error at 78°C

/// Pin/port definitions

#define BTN_PIN PINB
#define BTN_PORT PORTB

#define BTN_ESC_PIN PB4
#define BTN_UP_PIN PB2
#define BTN_DOWN_PIN PB1
#define BTN_OK_PIN PB0

#define INHIBIT_PIN PC2
#define INHIBIT_PORT PORTC
#define INHIBIT_DDR DDRC

#define BUZZER_PIN PB5
#define BUZZER_PORT PORTB
#define BUZZER_DDR DDRB

#define MUX_BATT_VOLTAGE (0)
#define MUX_SUPPLY_VOLTAGE (1<<MUX0)
#define MUX_TEMPERATURE (0b011)

#define FAN_PIN PC4
#define FAN_PORT PORTC
#define FAN_DDR DDRC

#define LED_PIN PC5
#define LED_DDR DDRC
#define LED_PORT DDRC
/// Beep length definitions

#define BEEP_LEN_BUTTON 10
#define BEEP_LEN_FINISHED 250
#define BEEP_LEN_REPEAT 5
#define BEEP_LEN_START 5

#endif // STRING_TABLE_INCLUDED
